<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('quota_packages', function (Blueprint $table) {
            $table->id();
            $table->string('name'); // Nama paket (misal: Paket Hemat)
            $table->integer('quota_amount'); // Jumlah kuota (misal: 3)
            $table->integer('price'); // Harga (misal: 120000)
            $table->boolean('is_active')->default(true); // Status aktif/nonaktif
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('quota_packages');
    }
};
